Allow an origin device to be activated without any active snapshots.
--- diff/drivers/md/dm-snap.c	2004-02-18 10:39:12.000000000 -0600
+++ source/drivers/md/dm-snap.c	2004-02-18 16:28:26.000000000 -0600
@@ -1047,14 +1047,12 @@
 int do_origin(struct dm_dev *origin, struct bio *bio)
 {
 	struct origin *o;
-	int r;
+	int r = 1;
 
 	down_read(&_origins_lock);
 	o = __lookup_origin(origin->bdev);
-	if (!o)
-		BUG();
-
-	r = __origin_write(&o->snapshots, bio);
+	if (o)
+		r = __origin_write(&o->snapshots, bio);
 	up_read(&_origins_lock);
 
 	return r;
